Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Gimp 2.7.4

  1. #1

    Default Gimp 2.7.4

    Now that Gimp 2.7.4 is out. How can I install it on openSUSE 12.1?. It's a ppa away with Ubuntu.

  2. #2
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Gimp 2.7.4

    On 2011-12-16 03:06, jedimasterk wrote:
    >
    > Now that Gimp 2.7.4 is out. How can I install it on openSUSE 12.1?.


    Did you use the search package box in the openSUSE webpage?

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  3. #3

    Default Re: Gimp 2.7.4

    I tried this repository. Index of /repositories/home:/MargueriteSu:/gimp-2.7/openSUSE_Factory
    But when I go to install and run application. It complains that I need GLib 2.3.0.2, and I have GLib 2.3.0.1. and no repositories for GLib 2.3.0.2. So it doesn't work.

  4. #4
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Gimp 2.7.4

    On 2011-12-16 03:56, jedimasterk wrote:

    > GLib 2.3.0.2, and I have GLib 2.3.0.1. and no repositories for GLib
    > 2.3.0.2. So it doesn't work.


    Don't even try to change glib, or you will get a broken system.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  5. #5
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: Gimp 2.7.4

    On Fri, 16 Dec 2011 08:33:06 +0530, Carlos E. R.
    <robin_listas@no-mx.forums.opensuse.org> wrote:

    > On 2011-12-16 03:56, jedimasterk wrote:
    >
    >> GLib 2.3.0.2, and I have GLib 2.3.0.1. and no repositories for GLib
    >> 2.3.0.2. So it doesn't work.

    >
    > Don't even try to change glib, or you will get a broken system.
    >


    i'm afraid glib won't be your ownly problem. latest unstable GIMP requires
    newer versions of BABL, GEGL, and GTK2 as well.

    i'm compiling all these dependencies using a --prefix in my home
    directory, and after some initial struggle this works fine. runs in
    parallel to stable GIMP as well.

    here are a few blog posts from GIMP developers that may help:

    http://www.gimp.org/source/howtos/gimp-git-build.html
    http://lightningismyname.blogspot.co...ling-gimp.html

    i'm pulling the latest git master & recompile it more or less every
    monday, since the weekend tends to see most changes other than translation
    updates. GIMP trunk i exceptionally stable; i've rarely seen it crash
    during the last year or so.

    --
    phani.

  6. #6

    Default Re: Gimp 2.7.4

    Here's how I compiled it on opensuse 12.1 -> How to Compile and Install Gimp 2.7.4 on OpenSUSE 12.1 | ubuntuku

  7. #7
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: Gimp 2.7.4

    On Mon, 19 Dec 2011 09:56:04 +0530, susegeeko
    <susegeeko@no-mx.forums.opensuse.org> wrote:

    >
    > Here's how I compiled it on opensuse 12.1 -> 'How to Compile and Install
    > Gimp 2.7.4 on OpenSUSE 12.1 | ubuntuku' (http://tinyurl.com/7dutgqf)
    >


    and you didn't need to compile BABL, GEGL, GTK2, and recently also glibc
    in the same --prefix? with standard openSUSE versions of these
    dependencies, GIMP from trunk wouldn't compile for me, demanding later
    ones.

    but compiling those dependencies isn't a problem, works the same way as
    your link describes for GIMP, using the same --prefix.

    --
    phani.

  8. #8

    Default Re: Gimp 2.7.4

    Quote Originally Posted by phanisvara View Post
    and you didn't need to compile BABL, GEGL, GTK2, and recently also glibc
    in the same --prefix?
    No need to compile them if you have GNOME_Factory repo added.

  9. #9
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: Gimp 2.7.4

    On Mon, 19 Dec 2011 22:56:03 +0530, susegeeko
    <susegeeko@no-mx.forums.opensuse.org> wrote:

    > phanisvara;2419975 Wrote:
    >>
    >> and you didn't need to compile BABL, GEGL, GTK2, and recently also
    >> glibc
    >> in the same --prefix?
    >>

    > No need to compile them if you have 'GNOME_Factory'
    > (http://tinyurl.com/64987r) repo added.



    ah, that's an option i didn't think of. i tried GNOME once, didn't like
    it, and have been using KDE since.

    --
    phani.

  10. #10

    Default Re: Gimp 2.7.4

    This is what I did to get it to work. I followed the instructions in the above link.

    Gimp 2.7.4 on OpenSUSE 12.1 | ubuntuku' (How to Compile and Install Gimp 2.7.4 on OpenSUSE 12.1 | ubuntuku)

    But when I got to the install Gimp 2.7.4 part, I used the repository that I mentioned in the third post and everything installed fine. I also got updated Digikam, Libreoffice , Mozilla, etcc from the repo (OpenSUSE Factory) in the ubuntuku site.
    Index of /repositories/home:/MargueriteSu:/gimp-2.7/openSUSE_Factory

    Thanks everyone!. And Merry Christmas and a Happy New Year.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •